package com.ruoyi.xq.enums.userstatus;

import lombok.Getter;

// 谁可查看头像 1-所有用户 2-VIP用户 3-实名用户 4-实名认证且VIP用户 5-不公开
@Getter
public enum ShowAvatarEnum {
    ALL(1,"所有用户"),
    VIP(2,"VIP用户"),
    CARD(3,"实名用户"),
    VIP_AND_CARD(4,"实名认证且VIP用户"),
    NO(5,"不公开"),
    ;
    private final Integer code;
    private final String text;

    ShowAvatarEnum(Integer code, String text) {
        this.code = code;
        this.text = text;
    }
}
